# $Revision: 1.17 $, $Date: 2010/03/02 13:41:48 $
Summary:	Console RSS reader
Summary(pl.UTF-8):	Konsolowy czytnik RSS
Name:		raggle
Version:	0.4.4
Release:	2
License:	GPL
Group:		Applications
Source0:	http://www.raggle.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	d6fd8e1487f53e5cf89e1bf3cf3adbfc
URL:		http://www.raggle.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
Requires:	ruby-ncurses
BuildArch:	noarch
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Raggle is a console RSS aggregator, written in Ruby. Features include
customizable keybindings, basic HTML rendering, HTTP proxy support,
OPML import/export, themes, support for various versions of RSS,
Screen support, browser auto-detection, and more. Raggle has been
tested under Linux and OpenBSD, and should work properly under other
Unix variants as well.

%description -l pl.UTF-8
Raggle to konsolowy czytnik RSS napisany w Ruby. Posiada on
modyfikowalne skróty klawiszowe, podstawowe renderowanie HTML, obsługę
HTTP proxy, importowanie i eksportowanie OPML, motywy, obsługę wielu
wersji RSS, wsparcie dla screena, automatyczną identyfikację
przeglądarki i wiele więcej. Raggle został przetestowany na Linuksie i
OpenBSD, ale powinien również działać pod innymi Uniksami.

%prep
%setup -q
find . -type d -name CVS | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/{extras,themes},%{_mandir}/man1}

cp -a extras/web_ui $RPM_BUILD_ROOT%{_datadir}/%{name}/extras
install extras/*.rb $RPM_BUILD_ROOT%{_datadir}/%{name}/extras
install themes/*.yaml $RPM_BUILD_ROOT%{_datadir}/%{name}/themes
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_datadir}/%{name}/extras/*[pstb].rb
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/extras
%{_datadir}/%{name}/extras/web_ui
%{_datadir}/%{name}/extras/test_html_renderer.rb
%{_datadir}/%{name}/themes
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: raggle.spec,v $
Revision 1.17  2010/03/02 13:41:48  baggins
- rel 2
- updated R

Revision 1.16  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.14  2005/12/31 12:08:03  glen
- Ho Ho Ho, Meeerrryyy Raggle 0.4.4!

Revision 1.13  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.12  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.11  2005/12/27 09:19:11  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.10  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.9  2005/07/25 10:04:29  havner
- 0.4.1, tested

Revision 1.8  2005/05/20 14:30:40  megabajt
- update to 0.4.0

Revision 1.7  2004/12/17 15:50:06  darekr
- updated to 0.3.2

Revision 1.6  2004/10/24 23:10:02  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/09/05 18:09:28  qboosh
- formatting, typo, unifications

Revision 1.4  2004/09/05 00:08:44  havner
- rel 2

Revision 1.3  2004/09/04 23:55:55  havner
- more doc files

Revision 1.2  2004/09/04 22:48:08  havner
- pl description

Revision 1.1  2004/09/04 22:04:29  aredridel
- added. g'day, havner!
